Home

# Class goog.ui.tree.TypeAhead

Constructs a TypeAhead object.

Instance Method Summary
| `clear()` Clears the typeahead buffer.
| `handleNavigation(?goog.events.BrowserEvent e) ⇒ boolean` Handles navigation keys.
| `handleTypeAheadChar(?goog.events.BrowserEvent e) ⇒ boolean` Handles the character presses.
| `jumpToLabel_(string typeAhead) ⇒ boolean` Select the first matching node for the given typeahead.
| `jumpTo_(?goog.ui.tree.TypeAhead.Offset offset) ⇒ boolean` Select the next or previous node based on the offset.
| `removeNodeFromMap(?goog.ui.tree.BaseNode node)` Removes the given node from the nodemap.
| `selectMatchingNode_(?Array nodes) ⇒ boolean` Given a nodes array reveals and selects the node while using node index.
| `setNodeInMap(?goog.ui.tree.BaseNode node)` Adds or updates the given node in the nodemap. The label text is used as a key and the node id is used as a value. In the case that the key already exists, such as when more than one node exists with the same label, then this function creates an array to hold the multiple nodes.